import { GraphQLClient } from "graphql-request";

export function getGraphQLClient() {
    try {
        const endpoint = process.env.DUTCHIE_PLUS_API_URL;
        const token = process.env.DUTCHIE_PLUS_API_TOKEN;
        const graphQLClient = new GraphQLClient(endpoint, {
            headers: {
                authorization: `Bearer ${token}`
            }
        });
        return graphQLClient;
    } catch (error) {
        console.log(error);
        return error;
    }
}