import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("career-applicant")
export class CareerApplicant extends CoreEntity {
    @Column({ default: null, nullable: true })
    firstName: string;

    @Column({ default: null, nullable: true })
    lastName: string;

    @Column({ default: null, nullable: true })
    email: string;

    @Column({ default: null, nullable: true })
    contactNumber: string;

    @Column({ default: null, nullable: true })
    contactType: string;

    @Column({ default: null, nullable: true })
    preferredCommunicationMethod: string;

    @Column({ default: null, nullable: true })
    applicantCommunicationPolicy: string;

    @Column({ default: false, nullable: true })
    termsAndCondition: boolean;
}
