import { Injectable } from "@nestjs/common";
import { fetchAllSpecials } from "src/helper/dutchie-plus-query";
import { getGraphQLClient } from "src/helper/graphql-client-helper";

@Injectable()
export class DutchiePlusSpecialsService {

    async findAll(variables: any) {
        try {
            const graphQLClient = getGraphQLClient();
            const query = fetchAllSpecials();
            return await graphQLClient.request(query, variables);
        } catch (e) {
            return e;
        }
    }
}
