import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("shop_deals_page_cms")
export class ShopDealsPageCms extends CoreEntity {
    @Column({ default: null, nullable: true })
    shopDealPageTitle: string;

    @Column({ default: null, nullable: true })
    shopDealPageSubTitle: string;

    @Column({ default: null, nullable: true })
    shopDealSectionOneBackgroundImage: string;

    @Column({ default: null, nullable: true })
    shopDealCategoryTitle: string;

    @Column({ default: null, nullable: true })
    shopDealCategoryButtonOneTitle: string;

    @Column({ default: null, nullable: true })
    shopDealCategoryButtonOneLink: string;

    @Column({ default: null, nullable: true })
    shopDealCategoryButtonTwoTitle: string;

    @Column({ default: null, nullable: true })
    shopDealCategoryButtonTwoLink: string;

    @Column({ default: null, nullable: true })
    shopDealSpecialCategoryTitle: string;

    @Column({ default: null, nullable: true })
    shopDealBannerOneImage: string;

    @Column({ default: null, nullable: true })
    shopDealBannerOneLink: string;

    @Column({ default: null, nullable: true })
    shopDealBannerTwoDesktopImage: string;

    @Column({ default: null, nullable: true })
    shopDealBannerTwoMobileImage: string;

    @Column({ default: null, nullable: true })
    shopDealBannerTwoLink: string;

    @Column({ default: null, nullable: true })
    shopDealBannerThreeImage: string;

    @Column({ default: null, nullable: true })
    shopDealBannerThreeLink: string;

    @Column({ default: null, nullable: true })
    shopDealFirstPurchaseBackgoundImage: string;

    @Column({ default: null, nullable: true })
    shopDealFirstPurchaseTitle: string;

    @Column({ default: null, nullable: true })
    shopDealFirstPurchaseSubTitle: string;

    @Column({ default: null, nullable: true })
    shopDealFirstPurchaseButtonText: string;

    @Column({ default: null, nullable: true })
    shopDealFirstPurchaseButtonLink: string;

    @Column({ default: false, nullable: true })
    isDefault: boolean;
}
